Change log for guava-libraries package in Ubuntu

112 of 12 results
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2015-12-19
Deleted in xenial-proposed (Reason: moved to release)
guava-libraries (19.0-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
    - Removed 07-java8-compatibility.patch (fixed upstream)
    - Ignore the errorprone annotations (not used)
    - Ignore the j2objc annotations
    - New build dependency on libanimal-sniffer-java
  * Set the source encoding to UTF-8
  * Build with the DH sequencer instead of CDBS
  * Updated the URL of the homepage
  * Watch and download the releases from GitHub

 -- Emmanuel Bourg <email address hidden>  Fri, 18 Dec 2015 01:08:23 +0100

Available diffs

Superseded in xenial-release on 2015-12-19
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
guava-libraries (18.0-4ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/rules: Touch README and AUTHORS so they have a current timestamp
      (Launchpad doesn't accept too old files in packages).

Superseded in wily-proposed on 2015-08-30
guava-libraries (18.0-4) unstable; urgency=medium

  * Improved the backward compatibility:
    - Restored the PrimitiveSink.putString(CharSequence) interface method
      and its implementations (removed in Guava 16)
    - Restored the Funnels.stringFunnel() method (removed in Guava 16)
    - Restored the HashFunction.hashString(CharSequence) interface method
      and its implementations (removed in Guava 16)

 -- Emmanuel Bourg <email address hidden>  Fri, 24 Jul 2015 13:58:32 +0200
Superseded in wily-release on 2015-08-30
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2018-01-19 (Reason: moved to release)
guava-libraries (17.0-1ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: Touch README and AUTHORS so they have a current timestamp
      (Launchpad doesn't accept too old files in packages).

Available diffs

Superseded in utopic-release on 2014-07-13
Published in trusty-release on 2013-12-30
Deleted in trusty-proposed (Reason: moved to release)
guava-libraries (15.0-2ubuntu1) trusty; urgency=medium

  * debian/rules: Touch README and AUTHORS so they have a current timestamp
    (Launchpad doesn't accept too old files in packages).
 -- Michael Bienia <email address hidden>   Mon, 30 Dec 2013 15:59:49 +0100
Superseded in trusty-proposed on 2013-12-30
guava-libraries (15.0-2) unstable; urgency=low


  * Removed the Breaks on jython, sisu-guice and stapler since the compatibility
    is temporarily assured by 05-preserve-mapmaker-makecomputingmap.patch
    (Closes: #724713)

 -- Emmanuel Bourg <email address hidden>  Wed, 16 Oct 2013 23:00:24 +0200
Superseded in trusty-release on 2013-12-30
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
guava-libraries (14.0.1-1) unstable; urgency=low


  * New upstream release
    - new dependency on libatinject-jsr330-api-java 

 -- Emmanuel Bourg <email address hidden>  Wed, 29 May 2013 09:53:01 +0200

Available diffs

Superseded in saucy-release on 2013-06-27
Deleted in saucy-proposed on 2013-06-28 (Reason: moved to release)
guava-libraries (13.0.1-3) unstable; urgency=low


  * Team upload.
  * Uplaod to unstable.

 -- tony mancill <email address hidden>  Wed, 15 May 2013 14:46:32 -0700

Available diffs

Superseded in saucy-release on 2013-05-16
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
guava-libraries (11.0.2-1) unstable; urgency=low


  * Team upload.
  * New upstream release.

 -- Damien Raude-Morvan <email address hidden>  Wed, 22 Feb 2012 23:04:40 +0100

Available diffs

Superseded in quantal-release on 2012-04-30
Published in precise-release on 2011-12-31
guava-libraries (09-2) unstable; urgency=low


  * Team upload.

  [ James Page ]
  * Fix FTBFS with OpenJDK7 (LP: #888939) (Closes: #651408):
    - d/rules: Specify source/target as 1.5 for javac and javadoc to 
      ensure backwards compatibility and work around Java 7 encoding
      errors. 

 -- Damien Raude-Morvan <email address hidden>  Fri, 09 Dec 2011 20:05:25 +0100

Available diffs

Superseded in precise-release on 2011-12-31
guava-libraries (09-1ubuntu1) precise; urgency=low

  * Fix FTBFS with OpenJDK7 (LP: #888939):
    - d/rules: Specify source/target as 1.5 for javac and javadoc to
      ensure backwards compatibility and work around Java 7 encoding
      errors.
 -- James Page <email address hidden>   Thu, 08 Dec 2011 11:34:08 +0000

Available diffs

Superseded in precise-release on 2011-12-08
Obsolete in oneiric-release on 2015-04-24
guava-libraries (09-1) unstable; urgency=low

  [ Miguel Landaeta ]
  * Initial release. (Closes: #555684).
 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  09 Jun 2011 11:48:13 +0000
112 of 12 results